const utils = require("../../../utils/util")
Page({
    data: {
        items: ['项目 1', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 2', '项目 3', '项目 4', '项目 5', '项目 6', '项目 7', '项目 8', '项目 9', '项目 10'],
        date: utils.formatDate(new Date()),
        completeDate: utils.formatDate(new Date()), //开发完成时间
        version: "v1.0", //系统版本
        type: 'all', //默认全托管  上级页面传递type参数   all全托管  material写材料  
        languageList: ['JAVA', "PYTHON", "GO", "KOTLIN"],
        isShowLanguage: false, //是否显示语言选择
        currentLanguage: 'JAVA', //当前选中的语言
    },
    onLoad(options) {
        wx.setNavigationBarTitle({
            title: '创建软著',
        })
        console.log(options)
    },
    //系统版本
    inputVersion(e) {
        console.log(e.detail.value)
        this.setData({
            version: e.detail.value
        })
    },
    //开发完成时间
    bindDateChange(e) {
        console.log(e)
        this.setData({
            completeDate: e.detail.value
        })
    },
    toggleOptions() {
        this.setData({
            isShowLanguage: !this.data.isShowLanguage
        });
    },
    selectOption(e) {
        const selectedValue = e.currentTarget.dataset.value;
        this.setData({
            currentLanguage: selectedValue,
            isShowLanguage: false
        });
    }
})